<?php

use EventPortal\Domain\Event\Form\Enums\GdprType;
use EventPortal\Domain\Event\Form\Enums\QuestionType;
use EventPortal\Domain\Event\Form\Models\FormStepSection;
use EventPortal\Domain\Event\Form\Models\Question;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Question::class, static function (Faker $faker): array {
    static $count = 0;
    return [
        'name' => $faker->sentence(5),
        'type' => QuestionType::SingleLineTextBox(),
        'gdpr_type' => GdprType::Private(),
        'order' => $count = $count + 1,
        'form_step_section_id' => static function (): int {
            return factory(FormStepSection::class)->create()->id;
        },
        'uuid' => $faker->uuid,
    ];
});

$factory->state(Question::class, 'help', static function (Faker $faker): array {
    return [
        'help_text' => $faker->sentence,
        'help_position' => $faker->randomElements(['before', 'after'])[0],
    ];
});

$factory->state(Question::class, 'snapshot', static function (): array {
    return [
        'name' => 'Test Question',
        'type' => QuestionType::SingleLineTextBox(),
        'gdpr_type' => GdprType::Private(),
        'order' => 1,
        'help_text' => 'Test Help',
        'help_position' => 'before',
        'form_step_section_id' => static function (): int {
            return factory(FormStepSection::class)->state('snapshot')->create()->id;
        },
        'uuid' => 'Test uuid',
    ];
});
