<?php

use EventPortal\Domain\Event\Form\Models\Question;
use EventPortal\Domain\Event\Form\Models\QuestionOption;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(QuestionOption::class, static function (Faker $faker): array {
    static $count = 0;
    return [
        'name' => $faker->sentence(5),
        'order' => $count = $count + 1,
        'question_id' => static function (): int {
            return factory(Question::class)->create()->id;
        },
        'uuid' => $faker->uuid,
    ];
});

$factory->state(QuestionOption::class, 'snapshot', static function (): array {
    return [
        'name' => 'Test Option',
        'order' => 1,
        'question_id' => static function (): int {
            return factory(Question::class)->state('snapshot')->create()->id;
        },
        'uuid' => 'Test uuid',
    ];
});
