<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeAgendaIdToPathwayableOnPathwayTable extends Migration
{
    public function up(): void
    {
        $driver = Schema::connection($this->getConnection())->getConnection()->getDriverName();

        Schema::table('pathways', static function (Blueprint $table) use ($driver): void {
            $table->dropColumn('agenda_id');
        });

        Schema::table('pathways', static function (Blueprint $table) use ($driver): void {
            if ($driver === 'sqlite') {
                $table->string("pathwayable_type")->default('')->after('id');
                $table->unsignedBigInteger("pathwayable_id")->default('')->after('pathwayable_type');
                $table->index(["pathwayable_type", "pathwayable_id"], null);

                return;
            }

            $table->string("pathwayable_type")->after('id');
            $table->unsignedBigInteger("pathwayable_id")->after('pathwayable_type');
            $table->index(["pathwayable_type", "pathwayable_id"], null);
        });
    }
}
