<?php

namespace EventPortal\Domain\Event\Form\Models;

use EventPortal\Domain\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;

class QuestionOption extends Model implements AuditableInterface
{
    use Auditable, SoftDeletes;

    /** @var array<string> */
    protected $fillable = [
        'name',
        'order',
        'question_id',
        'uuid',
    ];

    public function question(): BelongsTo
    {
        return $this->belongsTo(Question::class);
    }
}
