<?php

namespace EventPortal\Domain\Event\Form\Requests;

use EventPortal\Domain\Event\Form\Enums\FormType;
use Illuminate\Foundation\Http\FormRequest;
use Spatie\Enum\Laravel\Rules\EnumRule;

class StoreFormRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'type' => ['required', new EnumRule(FormType::class)],
            'steps' => 'required',
            'steps.*.name' => 'required',
            'steps.*.sections' => 'required',
            'steps.*.sections.*.name' => 'required',
            'steps.*.sections.*.questions' => 'required',
            'steps.*.sections.*.questions.*.name' => 'required',
            'steps.*.sections.*.questions.*.options.*.name' => 'required',
            'steps.*.sections.*.questions.*.options.*.order' => 'required|integer',
            'steps.*.sections.*.questions.*.required' => 'required|boolean',
            'steps.*.sections.*.questions.*.validations.*.rule'
            => 'required_with:steps.*.sections.*.questions.*.validations.*.message',
            'steps.*.sections.*.questions.*.validations.*.message'
            => 'required_with:steps.*.sections.*.questions.*.validations.*.rule',
        ];
    }
}
