<?php

namespace EventPortal\Http\Controllers\Admin\Event\Form;

use EventPortal\Domain\Event\Form\Enums\QuestionType;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Support\Str;

class GetQuestionTypesController extends Controller
{
    public function __invoke(): array
    {
        $questionTypes = collect(array_flip(QuestionType::toArray()));

        $questionTypes = $questionTypes->map(static function ($questionType): array {
            return ['label' => Str::ucfirst(Str::snake($questionType, ' ')), 'value' => $questionType];
        });

        return $questionTypes->all();
    }
}
