<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\DateColumn;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Event\Form\Models\Form;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('form.index')
    ->setColumns(static function () {
        return [
            TextColumn::make('Name of form')->name('name')->default()->searchable(),
            DateColumn::make('Last edited')
                ->name('updated_at')
                ->value(static function (Form $form) {
                    return $form->updated_at->format('d-m-Y h:ia');
                })
                ->default(),
            TextColumn::make('Type')->name('type')->default()->searchable(),
        ];
    })
    ->setRowAction(static function (Form $form, Event $event) {
        return ButtonDropdown::make('Manage form')
            ->actions([
                Button::make('Edit form')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.form.edit', [
                        'event' => $event->id,
                        'form' => $form->id,
                    ]),
            ]);
    });
