<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class QuestionTypesTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test **/
    public function can_get_question_types(): void
    {
        $response = $this
            ->actingAsSuperAdmin()
            ->get(route('admin.form.question.types'));

        $this->assertEquals([
            [
                "label" => "Single choice answer",
                "value" => "SingleChoiceAnswer",
            ],
            [
                "label" => "Multiple choice answers",
                "value" => "MultipleChoiceAnswers",
            ],
            [
                "label" => "Dropdown",
                "value" => "Dropdown",
            ],
            [
                "label" => "Single line text box",
                "value" => "SingleLineTextBox",
            ],
            [
                "label" => "Paragraph text box",
                "value" => "ParagraphTextBox",
            ],
            [
                "label" => "Date time",
                "value" => "DateTime",
            ],
            [
                "label" => "Pulse check",
                "value" => "PulseCheck",
            ],
        ], $response->original);
    }
}
